// file: $DT/class/attribute_node/v1.0/attr_size_0.cc
//

// isip include files
//
#include "attribute_node.h"
#include "attribute_node_constants.h"

// method: size method
//
// arguments: none
//
// return: int_4 indicating size of object (Attribute_node)
//
int_4 Attribute_node::size_cc() {
  
  // set the base size
  //
  int_4 size = sizeof(label_d);
  size += sizeof(type_d);
  size += sizeof(range_d);
  size += sizeof(min_d);
  size += sizeof(max_d);
  size += sizeof(num_values_d);
  
  // add the size of label_d
  //
  if (label_d != (char_1*)NULL) {
    size += (strlen ((char*)label_d) + 1) * sizeof(char_1);
  }

  // add the size of values_d
  //
  if (values_d != (char_1**)NULL) {
    for (int_4 i=0; i<num_values_d;i++) {
      size += sizeof(values_d[i]);
      if (values_d[i] != (char_1*)NULL) {
	size += (strlen((char*)values_d[i]) + 1) * sizeof(char_1);
      }
    }
  }
  
  // exit gracefully
  //
  return size;
}




