// file: $DT/class/data_node/v1.0/data_size_0.cc
//

// isip include files
//
#include "data_node.h"

// method: required size method
//
// arguments: none
//
// return: int_4 indicating the size of the data node
//
int_4 Data_node::size_cc() {
  
  // create size variable and set to the size of default protected
  // data
  //
  int_4 size = sizeof(debug_level_d);
  size += sizeof(desc_d);
  size += sizeof(num_items_d);
  size += sizeof(labels_d);
  size += sizeof(items_d);
  size += sizeof(values_d);
  
  // add the size of desc_d
  //
  if (desc_d != (char_1*)NULL) {
    size += (strlen((char*)desc_d) + 1) * sizeof(char_1);
  }

  // add the size of the labels_d, items_d, and values_d;
  //
  for (int_4 i=0;i<num_items_d;i++) {
    size += sizeof(labels_d[i]);
    size += sizeof(items_d[i]);
    size += sizeof(values_d[i]);
    if (labels_d[i] != (char_1*)NULL) {
      size += (strlen((char*)labels_d[i])+1) * sizeof(char_1);
    }
    if (items_d[i] != (char_1*)NULL) {
      size += (strlen((char*)items_d[i])+1) * sizeof(char_1);
    }
  }
  
  // exit gracefully
  //
  return size;
}




