// file: $DT/class/decision_tree/v1.0/dt_dbg_1.cc
//

// isip include files
//
#include "decision_tree.h"

#include <integral_constants.h>

// method: set_debug_cc
//
// arguments:
//  int_4 debug_level_a: (input) indicates the debug level
//
// return: a logical_1 indicating status
//
// this method sets the debug level
//
//
logical_1 Decision_tree::set_debug_cc(int_4 debug_level_a) {

  // check arguments
  //
  if ((debug_level_a < ISIP_DEBUG_NONE) ||
      (debug_level_a > ISIP_DEBUG_FULL)) {
    error_handler_cc((char_1*)"set_debug_cc",
		     (char_1*)"illegal debugging level to set");
  }
  
  // set the debug level
  //
  debug_level_d = debug_level_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}


