// file: $DT/class/tree/v1.0/dt_prob_1.cc
//

// isip include files
//
#include "decision_tree.h"
#include <integral_constants.h>

// method: permute_cc
//
// arguments: int_4  to indicate which permutation of the possible classes
//                   to return
//            int_4* masking array for splitting the variables into
//                   to superclasses, needs to be of length [num_cat_a]
//            int_4 to indicate number of different categories in the
//                   attribute
//
// return: logical_1 indicating success
//
// this method returns the binary representation of the num_a passed in
//
logical_1 Decision_tree::mask_single_cc(int_4 num_a, int_4* mask_a,
					int_4 num_cat_a ) {

  for (int_4 i=0;i<num_cat_a;i++) {
    if (i == num_a) {
      mask_a[i] = 1;
    }
    else {
      mask_a[i] = 0;
    }
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
