// file: $DT/class/decision_tree/v1.0/dt_prune_0.cc
//

// isip include files
//
#include "decision_tree.h"
#include "decision_tree_constants.h"
#include <integral_constants.h>

// method: prune_cc
//
// arguments:
//  int_4  dt_prune (input): the pruning method
//
// return: a logical_1 indicating status of success
//
logical_1 Decision_tree::prune_cc (int_4 dt_prune_a) {

  if (dt_prune_a == DT_PRUNE_COSTCOMPLEXITY) {
    //    prune_costcomplexity_cc();
  }
  else if (dt_prune_a == DT_PRUNE_PESSIMISTIC) {
    prune_pessimistic_cc();
  }
  else if (dt_prune_a == DT_PRUNE_NONE) {
    return ISIP_TRUE;
  }
  else {
    error_handler_cc((char_1*)"prune_cc",
		     (char_1*)"unrecognized pruning method");
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}


