// file: $DT/class/data_node/v1.0/data_cstr_3.cc
//

// isip include files
//
#include "data_node.h"
#include "data_node_constants.h"

#include <integral_constants.h>

// method: copy constructor
//
// arguments:  Data_node class
//
// return: none
//
Data_node::Data_node( const Data_node& old_node_a) {
  
  // set the default debug level
  //
  debug_level_d = old_node_a.debug_level_d;
  
  // copy the data node name
  //
  if (old_node_a.desc_d != (char_1*)NULL) {
    desc_d = new char_1[strlen((char*)old_node_a.desc_d)+1];
    strcpy((char*)desc_d, (char*)old_node_a.desc_d);
  }
  else {
    desc_d = (char_1*)NULL;
  }

  // copy the number of items
  //
  num_items_d = old_node_a.num_items_d;

  // copy the items
  //
  if (old_node_a.items_d != (char_1**)NULL) {
    items_d = new char_1*[num_items_d];
    for (int_4 i=0; i<num_items_d; i++) {
      if (old_node_a.items_d[i] != (char_1*)NULL) {
	items_d[i] = new char_1[strlen((char*)old_node_a.items_d[i])+1];
	strcpy((char*)items_d[i], (char*)old_node_a.items_d[i]);
      }
      else {
	items_d[i] = (char_1*)NULL;
      }
    }
  }
  else {
    items_d = (char_1**)NULL;
  }

  // copy the labels
  //
  if (old_node_a.labels_d != (char_1**)NULL) {
    labels_d = new char_1*[num_items_d];
    for (int_4 i=0; i<num_items_d; i++) {
      if (old_node_a.labels_d[i] != (char_1*)NULL) {
	labels_d[i] = new char_1[strlen((char*)old_node_a.labels_d[i])+1];
	strcpy((char*)labels_d[i], (char*)old_node_a.labels_d[i]);
      }
      else {
	labels_d[i] = (char_1*)NULL;
      }
    }
  }
  else {
    labels_d = (char_1**)NULL;
  }

  // copy the values
  //
  if (old_node_a.values_d != (float_4*)NULL) {
    values_d = new float_4[num_items_d];
    for (int_4 i=0; i<num_items_d; i++) {
      values_d[i] = old_node_a.values_d[i];
    }
  }
  else {
    values_d = (float_4*)NULL;
  }
  
  // exit gracefully
  //
}




